# user Data Type

Namespace
  (Default)
Schema
  ns0.xsd

Properties
name | data type | type | namespace | min/max occurs | description
--- | --- | --- | --- | --- | ---
accountNonExpired | boolean | element |  | 1/1 |
accountNonLocked | boolean | element |  | 1/1 |
credentialsNonExpired | boolean | element |  | 1/1 |
enabled | boolean | element |  | 1/1 |
id | string | element |  | 0/1 |
password | string | element |  | 0/1 |
roles | string | element |  | 0/unbounded |
username | string | element |  | 0/1 |

Example

    <u----->
      <credentialsNonExpired>true</credentialsNonExpired>
      <password>...</password>
      <id>58e3946e0fb4f562d84ba1ad</id>
      <accountNonLocked>true</accountNonLocked>
      <roles>["ADMIN","USER"]</roles>
      <accountNonExpired>true</accountNonExpired>
      <username>user</username>
      <enabled>true</enabled>
    </u----->